#backuptrans.ps1
#Performs a transaction log backup on all user databases not in Simple Recovery mode
[System.Reflection.Assembly]::LoadWithPartialName("Microsoft.SqlServer.SMO")  | out-null
$s = new-object ('Microsoft.SqlServer.Management.Smo.Server') 'SQLTBWS\TONTO'
$bkdir = $s.Settings.BackupDirectory
$dbs = $s.Databases
$dbs | foreach-object {
	$db = $_
	
	if ($db.IsSystemObject -eq $False -and $db.IsMirroringEnabled -eq $False) {
		$dbname = $db.Name
		if ($db.DatabaseOptions.RecoveryModel -ne 'Simple') {
			$dt = get-date -format yyyyMMddHHmmss
			$dbtrn = new-object ('Microsoft.SqlServer.Management.Smo.Backup')
			$dbtrn.Action = 'Log'
			$dbtrn.BackupSetDescription = "Trans Log backup of " + $dbname
			$dbtrn.BackupSetName = $dbname + " Backup"
			$dbtrn.Database = $dbname
			$dbtrn.MediaDescription = "Disk"
			$dbtrn.Devices.AddDevice($bkdir + "\" + $dbname + "_tlog_" + $dt + ".trn", 'File')
			$dbtrn.SqlBackup($s)
			}
		}

	}
