#GetADSCounts.ps1
#This script creates a SQL Server Agent job which will run a stored procedure once a day to collect ADS counts.

[System.Reflection.Assembly]::LoadWithPartialName('Microsoft.SqlServer.SMO') | out-null

$s = new-object ('Microsoft.SqlServer.Management.Smo.Server') 'SQLTBWS\TONTO'

$j = new-object ('Microsoft.SqlServer.Management.Smo.Agent.Job') ($s.JobServer, 'FullBackup') 
$j.Description = 'Backup User Databases'
$j.Category = '[Uncategorized (Local)]'
$j.OwnerLoginName = 'sa'
$j.Create() 
$jid = $j.JobID

$js = new-object ('Microsoft.SqlServer.Management.Smo.Agent.JobStep') ($j, 'Step 01')
$js.SubSystem = 'CmdExec'
$js.Command = 'powershell "& C:\PSDBAAdmin\backup.ps1"'
$js.OnSuccessAction = 'QuitWithSuccess' 
$js.OnFailAction = 'QuitWithFailure' 
$js.Create()
$jsid = $js.ID 

$j.ApplyToTargetServer($s.Name)
$j.StartStepID = $jsid
$j.Alter()

$jsch = new-object ('Microsoft.SqlServer.Management.Smo.Agent.JobSchedule') ($j, 'Sched 01')
$jsch.FrequencyTypes = 'Daily'
$jsch.FrequencySubDayTypes = 'Once'
$startts = new-object System.Timespan(2, 0, 0)
$jsch.ActiveStartTimeOfDay = $startts
$endts = new-object System.Timespan(23, 59, 59)
$jsch.ActiveEndTimeOfDay = $endts
$jsch.FrequencyInterval = 1
$jsch.ActiveStartDate = get-date
$jsch.Create()
